Name:      amavisd-new
Version:   20030616
%define patchlevel p9
Release:  %{patchlevel}_rh9_1
Summary:   AMaViSd-new - A Mail Virus Scanner
URL:       http://www.ijs.si/software/amavisd/
License:   GPL
Group:     System Environment/Daemons
Source0:   %{name}-%{version}-%{patchlevel}.tar.gz
Patch0: amavisd.conf.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: amavis-perl
Obsoletes: amavisd
Obsoletes: amavis

Requires: postfix
Requires: perl, file, arc, bzip2, lha >= 1.14g, unarj, unrar, zoo
#Requires: perl-iostringy, perl-syslog, perl-mailtools
#Requires: perl-mime-tools >= 5.313
#Requires: perl-uulib, perl-tnef >= 0.06
#Requires: perl-zlib, perl-Archive-Tar, perl-Archive-Zip >= 1.0
#Requires: perl-Net-SSLeay, perl-Net-Server, perl-TimeDate, perl-IO-Socket-SSL
#Requires: perl-IO-Multiplex, ncompress
Requires: spamassassin

%description
AMaViS is a script that interfaces a mail transport agent (MTA) with
one or more virus scanners.
  
This version is a big change from the 0.2.x series of the software and 
from the second generation amavisd-perl-11 as the main virus scanning 
script now run as a Perl daemon (amavisd) that communicates with the 
MTA through sockets and a small, compact client program. Amavisd-new 
further includes an interface to SpamAssassin.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
# --enable-all includes support for all virus scanners, 
# not only for those installed (i.e. antivir)

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# Create the runtime_dir and virusdir dirs so make install
# does not insist on creating and chownd/chgrp them
install -d -m 0700 %{buildroot}/var/amavis
install -d -m 0700 %{buildroot}/var/virusmails
install -d -m 0755 %{buildroot}/usr/sbin

install -d -m 0755 %{buildroot}/etc/rc.d/init.d
install -m 0755 amavisd_init.sh %{buildroot}/etc/rc.d/init.d/amavisd
install -m 0755 amavisd %{buildroot}/usr/sbin/amavisd
#install -m 0755 amavisdconf %{buildroot}/usr/sbin/
install -m 0644 amavisd.conf %{buildroot}/etc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
# Create `amavis' user on target system if necessary
# Since amavisd-snapshot-20000531, the user used by AMaViS'amavisd 
# daemon has changed from vscan to amavis, let'provide a seamless 
# upgrade procedure for users of previous versions of the package

if ! perl -e '$uid=getpwnam("amavis"); exit 1 unless defined($uid)' ; then
    if ! perl -e '$uid=getpwnam("vscan"); exit 1 unless defined($uid)' ; then
	/usr/sbin/useradd -c "AMaViS email virus scanner user" -M -s /bin/sh -r amavis || die \
	    'Unexpected error adding user "amavis". Aborting install process.'
    else
	/usr/sbin/usermod -l amavis vscan 2>&1 >/dev/null && \
	/usr/sbin/groupmod -n amavis vscan 2>&1 >/dev/null
    fi
fi

if ! perl -e '@pw=getpwnam("amavis");
    exit 1 unless ( $pw[6] eq "AMaViS email virus scanner user" && $pw[8] eq "/bin/sh" )' ; then
    /usr/sbin/usermod -c "AMaViS email virus scanner user" -s /bin/sh amavis 2>&1 >/dev/null
fi

%post
if [ -z "`grep "^virusalert:" /etc/postfix/aliases`" ]; then
    echo "virusalert: root" >> /etc/postfix/aliases
    if [ -x /usr/bin/newaliases ] ; then
	/usr/bin/newaliases > /dev/null 2>&1 
    else
	echo "Can't exec newaliases. Please run it manually"
    fi
fi                                

%preun
if [ "$1" = 0 ] ; then
    /sbin/service amavisd stop >/dev/null 2>&1
    /sbin/chkconfig --del amavisd >/dev/null 2>&1
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service amavisd condrestart >/dev/null 2>&1
fi

%files
%attr(640,root,amavis) %config(noreplace) /etc/amavisd.conf
%defattr(755,root,root)
%config /etc/rc.d/init.d/amavisd
/usr/sbin/amavisd
#/usr/sbin/amavisdconf
%defattr(700,amavis,root)
%dir /var/amavis
%dir /var/virusmails
%defattr(-,root,root)
%doc AAAREADME.first INSTALL LICENSE MANIFEST README_FILES RELEASE_NOTES test-messages

%changelog
* Mon Dec 29 2003 Ralf Spenneberg <ralf@spenneberg.net>
- changed amavisd.conf to use the user amavis by default (thanks to Charles Bedrosian)

* Mon Nov 17 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 20030616-p6

* Fri Aug 29 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 20030616-p5

* Tue Jul 22 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 20030616

* Fri Apr 04 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Changed to Amavisd-new

* Sat Jul 20 2002 Ramiro Morales <rm-rpms@gmx.net>
- Update Archive::Zip dependency to >= 1.0 as per README

* Thu Jul 18 2002 Ramiro Morales <rm-rpms@gmx.net>
- Starting from this snapshot, the user amavisd run as changed 
  upstream from vscan to amavis. Impement this change in the package 
  as well so the it can be upgraded fom previous versions
- Drop artificial and unnecessary requeriment to create a vscan/amavis
  user on the build system (great!)
- Managed to update the Gregory Ade's file blacklist patch so it 
  applies to this snapshot

* Thu Jul 18 2002 Ramiro Morales <rm-rpms@gmx.net>
- Update to 20020531 snapshot

* Thu Jul 18 2002 Ramiro Morales <rm-rpms@gmx.net>
- Send error messages generated at %%install package building
  stage to stdout rather than to syslog
- File blacklist patch: Fix extra $hostname macro in admin notif template

* Tue Jul 16 2002 Ramiro Morales <rm-rpms@gmx.net>
- Incorporate a slightly modified version of the file blacklist 
  patch by Gregory Ade <gkade@bigbrother.net> giving the choice to 
  decide it's application at build time by using the rpm command line

* Mon Jul 15 2002 Ramiro Morales <rm-rpms@gmx.net>
- Update to 20020300 snapshot
- Don't force a specific UID for the vscan user in the user's system 
  as rpm can handle file/dir ownership by name at install time
- Edit my e-mail address in the SysV initscript
- Add whinge macro definition, I had forgot it for several releases :-(
  motivated by an e-mail from Johannes Puschmann <puschl@puschl.at>
- Make the package buildable by a non-root user (the only operation 
  left that is not directly doable by a non-root user is the creation 
  of the vscan user on the build system, it can be performed by 
  running the provided create-vscan-user.sh script)

* Sun Jul 14 2002 Ramiro Morales <rm-rpms@gmx.net>
- Update to 20020220 snapshot.
  - Drop the QUARANTINEDIR patch as it was already applied upstream
  - Drop the mailtobug and tainttempdir patches as similar patches were 
    already applied upstream
  - amavisd.conf: Don't add deprecated $virusbackup option anymore
  - Don't replace NAI uvscan-specific vars anymore (NAI v3.x support
    was dropped upstream)
- Change method to enable the test suite from rpm command-line and 
  use %%{_tmppath} when running it

* Sun Jul 14 2002 Ramiro Morales <rm-rpms@gmx.net>
- Change my e-mail address
- Don't blindy touch vscan user data on every build and when 
  upgrading the package unless it's really necessary
- Use a more generic method of detecting vscan user administrative data
- specfile: Use %%{buildroot} instead of $RPM_BUILD_ROOT
- specfile: Use %%{SOURCEn} instead of $RPM_SOURCE_DIR/whatever

* Wed Nov 14 2001 Ramiro Morales <rmrpms@usa.net>
- Use the official patch for the $QUARANTINE{,DIR}/$virusbackup issue 
- Make possible to request the execution of the test suite at
  build stage time
- First try to solve the taint problem when running parse_decode()

* Tue Nov 13 2001 Ramiro Morales <rmrpms@usa.net>
- Update to 20011031 snapshot.
- For use wtih Postfix we don't need to specify --enable-smtp anymore 
  to ./configure
- More specfile tweaks.
- Fix doc dir perms

* Wed Oct 24 2001 Ramiro Morales <rmrpms@usa.net>
- specfile tweaks

* Sun Oct 21 2001 Ramiro Morales <rmrpms@usa.net>
- %%instal section: install things under BuildRoot.
- Create initscript.
- Include Postix specific documentation.
- Create vscan user on builder/final user system.

* Wed Sep 26 2001 Ramiro Morales <rmrpms@usa.net>
- Build on RHL 6.2, first attempt based in SuSE package.

* Sat Jul 14 2001 - link@suse.de

- updated to amavisd-snapshot-20010714
- applied the usual parsing patch for H+BEDV (supports
  German output, too)


-------------------------------------------------------------------
Fri Jun 22 2001 - link@suse.de

- updated to CVS version 20010622
- applied the usual parsing patch for H+BEDV (supports
  German output, too)

-------------------------------------------------------------------
Tue Apr 10 2001 - link@suse.de

- minor changes in spec file
- fixed the antivir output parsing to get the names
  of found viruses - should now work with german and
  english version of antivir
